// @flow
import _ from 'lodash';
import {transformJSONArray} from 'helpers';
import {default as settings} from '../settings';

export default (baseURL: string = settings.BASE_URL) => ({
	transformer: transformJSONArray((data: mixed) => _.extend(data, {transformed: {
		email: _.get(data, 'email[0].value'),
		phone: _.get(data, 'phone_number[0].value'),
		title: _.compact([_.get(data, 'personal.first_name'), _.get(data, 'personal.last_name')]).join(' '),
	}})),

	url: `${baseURL}/API/contacts`,
});
